unit MainSRC;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, Spin, RbDrawCore, RbButton, ExtCtrls,
  ScktComp;

type
  TForm1 = class(TForm)
    Sock: TClientSocket;
    LabeledEdit1: TLabeledEdit;
    RbButton1: TRbButton;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    RichEdit1: TRichEdit;
    procedure RbButton1Click(Sender: TObject);
    procedure SockConnect(Sender: TObject; Socket: TCustomWinSocket);
    procedure SockRead(Sender: TObject; Socket: TCustomWinSocket);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.RbButton1Click(Sender: TObject);
begin
  Sock.Host:=LabeledEdit1.Text;
  Sock.Port:=SpinEdit1.Value;
  Sock.Open;
end;

procedure TForm1.SockConnect(Sender: TObject; Socket: TCustomWinSocket);
var L: TStringList;
begin
  L:=TStringList.Create; //   GET-.
  L.Add('GET / HTTP/1.1');
  L.Add('Host: '+LabeledEdit1.Text);
  L.Add('');
  Sock.Socket.SendText(L.Text);
  L.Free;
end;

procedure TForm1.SockRead(Sender: TObject; Socket: TCustomWinSocket);
begin
  RichEdit1.Lines.Add(Socket.ReceiveText);
end;

end.
